qa:
  extends: staging
  stage: qa
  allow_failure: false
  before_script:
    - auto-deploy use_kube_context || true
    - kubectl -n $KUBE_NAMESPACE delete secret -l "name=$HELM_RELEASE_NAME,status in (pending-install, pending-upgrade, pending-rollback)" || true
  environment:
    name: qa
    url: http://$CI_PROJECT_PATH_SLUG-qa.$KUBE_INGRESS_BASE_DOMAIN
  rules:
    - if: $STATIC_SITE_ENABLED
      when: never
    - if: $STATIC_CUSTOM_SITE_ENABLED
      when: never
    - if: $QA_ENABLED && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

qa_static:
  extends: qa
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  allow_failure: false
  dependencies:
    - build_static
  script:
    - aws s3 sync --delete out/ s3://$BUCKET_NAME
  rules:
    - if: $STATIC_SITE_ENABLED && $QA_ENABLED && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

qa_static_custom:
  extends: qa
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  allow_failure: false
  script:
    - aws s3 sync --delete . s3://$BUCKET_NAME
  rules:
    - if: $STATIC_CUSTOM_SITE_ENABLED && $QA_ENABLED && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
